[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: New PackageKit and gnome-packagekit in F9 soon



On Mon, 2008-07-07 at 19:52 +0200, Martin Sourada wrote:
> On Mon, 2008-07-07 at 18:08 +0100, Richard Hughes wrote:
> > Please test these packages, and report any bugs on email (reply to this
> > thread please), rather than the admin update page. When we've got quite
> > a bit of testing and ironed out and regressions then I'll push to
> > stable.
> > 
> 
> I've been using rawhide snapshots for a while and when I noticed these
> upgrades in koji, I "downgraded" to the F9 version. So far seems stable,
> no real issues noticed, only some not-so-intuitive behaviour during
> installing local rpms:
> 
>  * It always asks for authentication and there is no option to remember
> the authentication when it discovers thath the package is not signed. Is
> it intentional?
> 
>  * The window with update progress closes itself after I give the needed
> permissions to install and as a result I am not notified of the update
> result. I can reopen the window via the notify icon though...
> 
> Hm... come to think of it, I just remembered it does not say the
> installation failed if some pre/post-install scriplet failed. I noticed
> it while upgrading broken intel driver package multiple times, until
> finally discovering in command line (yum update), that actually some
> scriplet was giving and error. Btw. the said package was fixed rather
> promptly. Yum seems to be OK with failing scriplets (i.e. finishes the
> update/install/remove of other packages and marks the installation as
> success), so this might not be PackageKit fault.
> 

s/yum/rpm/

some failing scriptlets are not fatal to the transaction.

-sv



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]